Subject: Ticket Assigned - Click & Collect
From: Max <[email-masked]>
To: [email-masked]
Date: Sat, 09 May 2020 05:44:52 +0000

Hi Shivani Rani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Hi,

Click & Collect order was placed and paid on 15 March 2020, order number 6470049184. On 23 March 2020, this number called me: +971 4 2480500,  saying my order will be delivered in 6 to 8 days, if I remember correctly.

It will almost be 2 months since placement of the order and I have not received any item. I have also followed up a number of times but no feedback, and that number is unavailable each time.

PLEASE promptly advise on the status.

Thanks,
Aileen https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/928862